<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.2) on Mon Dec 28 23:27:42 EST 2020 -->
<title>Uses of Class spellingbee.network.Client</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-12-28">
<meta name="description" content="use: package: spellingbee.network, class: Client">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Client.html" title="class in spellingbee.network">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class spellingbee.network.Client" class="title">Uses of Class<br>spellingbee.network.Client</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Client.html" title="class in spellingbee.network">Client</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#spellingbee.client">spellingbee.client</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#spellingbee.client.tabs">spellingbee.client.tabs</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#spellingbee.client.tabs.events">spellingbee.client.tabs.events</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="spellingbee.client">
<!--   -->
</a>
<h2>Uses of <a href="../Client.html" title="class in spellingbee.network">Client</a> in <a href="../../client/package-summary.html">spellingbee.client</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../client/package-summary.html">spellingbee.client</a> that return <a href="../Client.html" title="class in spellingbee.network">Client</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Client.html" title="class in spellingbee.network">Client</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">ClientApp.</span><code><span class="memberNameLink"><a href="../../client/ClientApp.html#getClient()">getClient</a></span>()</code></th>
<td class="colLast">
<div class="block">Get method to access the client object from another class</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="spellingbee.client.tabs">
<!--   -->
</a>
<h2>Uses of <a href="../Client.html" title="class in spellingbee.network">Client</a> in <a href="../../client/tabs/package-summary.html">spellingbee.client.tabs</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../client/tabs/package-summary.html">spellingbee.client.tabs</a> with parameters of type <a href="../Client.html" title="class in spellingbee.network">Client</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">GameTab.</span><code><span class="memberNameLink"><a href="../../client/tabs/GameTab.html#changeButtons(spellingbee.network.Client,javafx.scene.control.Button%5B%5D)">changeButtons</a></span>&#8203;(<a href="../Client.html" title="class in spellingbee.network">Client</a>&nbsp;client,
javafx.scene.control.Button[]&nbsp;buttons)</code></th>
<td class="colLast">
<div class="block">Method that is going to ask the server for the 7 letter buttons</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../client/tabs/package-summary.html">spellingbee.client.tabs</a> with parameters of type <a href="../Client.html" title="class in spellingbee.network">Client</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../client/tabs/GameTab.html#%3Cinit%3E(spellingbee.network.Client)">GameTab</a></span>&#8203;(<a href="../Client.html" title="class in spellingbee.network">Client</a>&nbsp;client)</code></th>
<td class="colLast">
<div class="block">This is the constructor of the class
 It creates every element for the game tab and assign it with an initial value</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../client/tabs/ScoreTab.html#%3Cinit%3E(spellingbee.network.Client)">ScoreTab</a></span>&#8203;(<a href="../Client.html" title="class in spellingbee.network">Client</a>&nbsp;client)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="spellingbee.client.tabs.events">
<!--   -->
</a>
<h2>Uses of <a href="../Client.html" title="class in spellingbee.network">Client</a> in <a href="../../client/tabs/events/package-summary.html">spellingbee.client.tabs.events</a></h2>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../client/tabs/events/package-summary.html">spellingbee.client.tabs.events</a> with parameters of type <a href="../Client.html" title="class in spellingbee.network">Client</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../client/tabs/events/SubmitEvent.html#%3Cinit%3E(spellingbee.network.Client,javafx.scene.control.TextField,javafx.scene.control.TextField,javafx.scene.control.TextField,javafx.scene.control.Button%5B%5D)">SubmitEvent</a></span>&#8203;(<a href="../Client.html" title="class in spellingbee.network">Client</a>&nbsp;client,
javafx.scene.control.TextField&nbsp;message,
javafx.scene.control.TextField&nbsp;score,
javafx.scene.control.TextField&nbsp;input,
javafx.scene.control.Button[]&nbsp;buttons)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Client.html" title="class in spellingbee.network">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
